- Qt 5.15
- Qt Network
- C++ Classes
- QAbstractSocket
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QAbstractSocket

The following members of class QAbstractSocket are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(obsolete)` void | error(QAbstractSocket::SocketError socketError)

## Member Function Documentation

### `[signal]` void QAbstractSocket::error(QAbstractSocket::SocketError socketError)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use errorOccurred() instead.

Note: Signal error is overloaded in this class. To connect to this signal by using the function pointer syntax, Qt provides a convenient helper for obtaining the function pointer as shown in this example:

     connect(abstractSocket, QOverload<QAbstractSocket::SocketError>::of(&QAbstractSocket::error),
         [=](QAbstractSocket::SocketError socketError){ /* ... */ });